// PI_API_TestDlg.h : header file
//

#if !defined(AFX_PI_API_TESTDLG_H__8DE7D573_DEF3_4213_9C71_842EF6EE983B__INCLUDED_)
#define AFX_PI_API_TESTDLG_H__8DE7D573_DEF3_4213_9C71_842EF6EE983B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CPI_API_TestDlg dialog

class CPI_API_TestDlg : public CDialog
{
// Construction
public:
	CPI_API_TestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPI_API_TestDlg)
	enum { IDD = IDD_PI_API_TEST_DIALOG };
	CEdit	m_txtChIsolated;
	CEdit	m_txtLPFWidthCh;
	CEdit	m_txtLPFWidth;
	CEdit	m_txtLPFEnable;
	CEdit	m_txtChToSet;
	CEdit	m_txtTriggerMode;
	CEdit	m_txtChClrMask;
	CEdit	m_txtSetTypeCodeChannel;
	CEdit	m_txtTypeCode;
	CEdit	m_txtUserDefinedBID;
	CEdit	m_txtWDTTimeout;
	CEdit	m_txtNickname;
	CListBox	m_lbModuleInfo;
	CEdit	m_txtBID;
	CComboBox	m_cbxDID;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPI_API_TestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPI_API_TestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOpenDevice();
	afx_msg void OnCloseDevice();
	afx_msg void OnLoadDefault();
	afx_msg void OnRefreshInfo();
	afx_msg void OnSetNickname();
	afx_msg void OnSetWDTTimeout();
	afx_msg void OnSetBoardID();
	afx_msg void OnGetSupTypeCode();
	afx_msg void OnGetChTypeCode();
	afx_msg void OnGetTriggerMode();
	afx_msg void OnGetLPFEnable();
	afx_msg void OnGetLPFWidth();
	afx_msg void OnSetTypeCode();
	afx_msg void OnClearCh();
	afx_msg void OnSetTriggerMode();
	afx_msg void OnExit();
	afx_msg void OnSetLPFEnable();
	afx_msg void OnSetLPFWidth();
	afx_msg void OnGetChIsolated();
	afx_msg void OnSetChIsolated();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PI_API_TESTDLG_H__8DE7D573_DEF3_4213_9C71_842EF6EE983B__INCLUDED_)
